[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Darcs error



Itay Furman wrote:
> I have an FC4 installation and had a working version of darcs until
> recently.  Now, whenever I try to invoke darcs I get:
>     darcs: error while loading shared libraries: libcurl.so.2: cannot
> open shared object file: No such file or directory
> 
> My questions:
> 1) Is this an issue of the packaging, or a bug in darcs, or what?
> 2) How to fix this (preferrably via yum)?
> 
> The current version was installed via yum:
> $ yum search darcs
> darcs.i386            1.0.3-2.fc4.1    extras
> [snip]
> darcs.i386            1:1.0.2-1    installed

Sorry, this is probably my fault, at some point I added the epoch (1:) to the
"Fedora Haskell" darcs package (which I guess is what you have installed), but
then dropped it when darcs was imported into Fedora Extras...

Sorry for the confusion.  Please remove the old darcs package first by hand as
Alexander Dalloz explained, and then "yum install darcs".

Jens


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]